Loading...
Searching...
No Matches
Opm::WellSegments Class Reference

## Public Types

enum class | LengthDepth { INC = 0 , ABS = 1 }
enum class | MultiPhaseModel { HO = 0 , DF = 1 }
using | CompPressureDrop = WellSegmentCompPressureDrop

## Public Member Functions

| WellSegments (CompPressureDrop compDrop, const std::vector< Segment > &segments)
void | loadWELSEGS (const DeckKeyword &welsegsKeyword, const UnitSystem &unit_system)
std::size_t | size () const
bool | empty () const
int | maxSegmentID () const
int | maxBranchID () const
double | depthTopSegment () const
double | lengthTopSegment () const
double | volumeTopSegment () const
CompPressureDrop | compPressureDrop () const
int | segmentNumberToIndex (const int segment_number) const
const Segment & | getFromSegmentNumber (const int segment_number) const
const Segment & | operator[] (size_t idx) const
void | orderSegments ()
bool | operator== (const WellSegments &) const
bool | operator!= (const WellSegments &) const
double | segmentLength (const int segment_number) const
double | segmentDepthChange (const int segment_number) const
std::vector< Segment > | branchSegments (int branch) const
std::set< int > | branches () const
bool | updateWSEGSICD (const std::vector< std::pair< int, SICD > > &sicd_pairs)
bool | updateWSEGVALV (const std::vector< std::pair< int, Valve > > &valve_pairs)
bool | updateWSEGAICD (const std::vector< std::pair< int, AutoICD > > &aicd_pairs, const KeywordLocation &location)
const std::vector< Segment >::const_iterator | begin () const
const std::vector< Segment >::const_iterator | end () const
void | checkSegmentDepthConsistency (const std::string &well_name, const UnitSystem &unit_system) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static const std::string | LengthDepthToString (LengthDepth enumValue)
static LengthDepth | LengthDepthFromString (const std::string &stringValue)
static const std::string | CompPressureDropToString (CompPressureDrop enumValue)
static CompPressureDrop | CompPressureDropFromString (const std::string &stringValue)
static const std::string | MultiPhaseModelToString (MultiPhaseModel enumValue)
static MultiPhaseModel | MultiPhaseModelFromString (const std::string &stringValue)
static WellSegments | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/MSW/WellSegments.hpp
- opm/input/eclipse/Schedule/MSW/WellSegments.cpp